TopGroupsShardRequestFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.search.grouping.distributed.requestfactory.TopGroupsShardRequestFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.grouping.distributed.requestfactory
Class TopGroupsShardRequestFactory

    java.lang.Object
      org.apache.solr.search.grouping.distributed.requestfactory.TopGroupsShardRequestFactory

All Implemented Interfaces:
  ShardRequestFactory

    public class TopGroupsShardRequestFactory

extends Object
implements ShardRequestFactory

Concrete implementation of `ShardRequestFactory` that creates `ShardRequest` instances for getting the top groups from all shards.

Field Summary
`static String` | `GROUP_NULL_VALUE` Represents a string value for

Constructor Summary
`TopGroupsShardRequestFactory()`

Method Summary
`ShardRequest[]` | `constructRequest(ResponseBuilder rb)` Returns `ShardRequest` instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GROUP_NULL_VALUE

    public static final String GROUP_NULL_VALUE

  Represents a string value for

  See Also:
    Constant Field Values

Constructor Detail

### TopGroupsShardRequestFactory

    public TopGroupsShardRequestFactory()

Method Detail

### constructRequest

    public ShardRequest[] constructRequest(ResponseBuilder rb)

  Returns `ShardRequest` instances. Never returns `null`. If no `ShardRequest` instances are constructed an empty array is returned.

  Specified by:
    `constructRequest` in interface `ShardRequestFactory`
  Parameters:
    `rb` - The response builder
  Returns:
    `ShardRequest` instances

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD